Home » Android » eclipse – ADT Plugin can't install: Missing requirement: Android Development Tools

eclipse – ADT Plugin can't install: Missing requirement: Android Development Tools

Posted by: admin June 15, 2020 Leave a comment

Questions:

I tried to install ADT plugin on eclipse helios windows 64 bits classic. I got this error:

Cannot complete the install because one or more required items could not be found.
Software being installed: Android Development Tools 16.0.1.v201112150204-238534 (com.android.ide.eclipse.adt.feature.group 16.0.1.v201112150204-238534)
Missing requirement: Android Development Tools 16.0.1.v201112150204-238534 (com.android.ide.eclipse.adt.feature.group 16.0.1.v201112150204-238534) requires ‘org.eclipse.wst.sse.core 0.0.0’ but it could not be found

How to&Answers:

you MUST run eclipse as administrator to install plugins under vista or 7!!! right click on the eclipse.exe file (not the shortcut). if you still have problems, try the step below.

one reason this can happen is that you first need to include the release compatible with your version of eclipse:

http://download.eclipse.org/releases/juno (or helios, ganimede, indigo, etc)

in case you are missing the android sdk, download from http://developer.android.com/sdk/index.html

after installing it, you must go inside the folder c:/Program Files (x86)/Android/android-sdk/platforms/ and create a new (empty) folder ‘android-7’. then create a folder named temp in c:/Program Files (x86)/Android/android-sdk/ and you will be prompted to download SDK when you start eclipse again (always as administrator)

finally, restart and you should be ok

PS: you must update your eclipse (under HELP) and then exit it. restart in admin mode and open your Android SDK packages (not HELP, the tab on its left [not at my workstation right now, will reedit later]).

without installing basically everything there (some 3 to 12 hours, depending on your connection speed), you will not have a complete environment and some compilation simply will not work.

Answer:

The eclipse version is old, you need to provide the org.eclipse.wst.sse.core 0.0.0 library to it.

See instructions here : http://code.google.com/intl/es/eclipse/docs/faq.html#wstinstallerror

or , i would recommed to upgrade to Eclipse Indigo, which won’t have this problem..

Answer:

If you’re using Eclipse Juno (i.e. 4.x.x) on Win 7, and encountering problems installing Android ADT Plugin for eclipse, see the following to fix it:

  1. go to where the eclipse.exe file located (default: C:\Program Files (x86)\eclipse)
  2. NOT left click (run it) but RIGHT click on eclipse.exe
  3. pick run as administrator.

Then it runs. Next, just follow the relevant Android guide on the matter
(http://developer.android.com/sdk/installing/installing-adt.html).

Answer:

Right-clicking on the eclipse.exe file and selecting “Run as administrator” will give you file access privileges that will permit ADT updates via the Eclipse/Android SDK Manager in the Eclipse “Window” drop-down.

In my case, my Windows 7 system was lacking the required “Android SDK Platform-tools 16.0.1” plug-in. I suggest re-starting Windows after completing this plug-in installation. Once I re-started Eclipse (Juno), the error message “Could not find C:\Program Files\Android\android-sdk-windows\platform-tools\adb.exe!” was eliminated.